脚本之家 服务器常用软件
微信 投稿 交流社区 在线工具

Python3.6中Twisted模块安装的问题与解决

 更新时间:2019年04月15日 10:09:33   作者:Berryguo   我要评论

这篇文章主要介绍了Python3.6中Twisted模块安装的问题与解决,文中通过示例代码介绍的非常详细,对大家学习或者使用Python具有一定的参考学习价值,需要的朋友们下面来一起学习学习吧

发现问题

今天准备学习爬虫的scrapy模块,在这之前需要安装许多别的模块,Twisted就是其一

一开始想着直接用pycharm来安装就行了,没想到安装了一会就报错了,如下

后来就换到命令提示符来安装,在官网发现直接pip安装就行了

pip install Twisted

当我以为一切顺利的时候,又报错了,还是相同的错误。(WTF!!)

好吧,然后上网了找了一下,发现很多人都出现类似问题,说是版本问题。

解决方法

于是我就直接在https://www.lfd.uci.edu/~gohlke/pythonlibs/找到twisted,下载

发现64位安装失败

pip install Twisted-18.9.0-cp36-cp36m-win_amd64.whl

但是32位安装成功

pip install Twisted-18.9.0-cp36-cp36m-win32.whl

然后我就明白了出现的这个安装问题就是Python位数的问题,32位就下32位,64位就下64位,就这么简单,o(╥﹏╥)o

果然新手还是太嫩了,呵呵呵,安装时就已经把问题说明了,奈何六级没过的我,一开始没理解这句话的内涵!!!

就当做一个教训了,分享出来,希望对以后安装此类模块出现的朋友能有帮助,细心点就会发现某些问题很简单。

总结

以上就是这篇文章的全部内容了,希望本文的内容对大家的学习或者工作具有一定的参考学习价值,谢谢大家对脚本之家的支持。

  • python
  • twisted
  • 安装

相关文章

最新评论